Subject: Re: bug#75764: 30.0.50; [PATCH] java-ts-mode: Constant highlighting no longer captures Java annotations.

From: Stefan Kangas <[email-masked]>
Date: Sun, 23 Feb 2025 19:49:01 +0000

Version: 30.2

Eli Zaretskii <[email-masked]> writes:

>> From: Yuan Fu <[email-masked]>
>> Date: Mon, 27 Jan 2025 17:35:30 -0800
>> Cc: Vincenzo Pupillo <[email-masked]>,
>>  Theodor Thornhill <[email-masked]>,
>>  [email-masked]
>>
>> Seems reasonable to me. Tree-sitter’s query doesn’t support negation match, so
>> we can’t match constants that are not annotations. But I don’t want these
>> fixes to delay emacs 30 (they will keep coming), so perhaps we can apply this
>> to emacs-30 after release, WDYT, Eli?
>
> Fine by me, thanks.

Since Emacs 30.1 is now released, I have pushed this to emacs-30 as
commit 563b6f94511.

I'm therefore closing this bug report.